# Copyright (C) 2007-2009 Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::Modify::Delete;

use strict;
use GeoDB::Modify;

our @ISA = qw(GeoDB::Modify);
our $VERSION = "1.11";

sub modify_set {
    my ($self, $set) = @_;
    $set->remove_from_db();
}

1;

=head1 NAME

Delete - Deletes waypoints from the database

=head1 DESCRIPTION

START HELP

This command removes the waypoints from the database.  Obviously, this
should be used with caution because it can not be undone.

For those that really and truly hate puzzles:

  > geoqo -s 'cache:subtype=Unknown' -m delete

This can be useful for temporarily importing a bunch of items you
don't want to keep around in the long run.

END HELP

=cut
