# Copyright (C) 2007-2009 Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::Modify::Load;

use strict;
use GeoDB::Modify;

our @ISA = qw(GeoDB::Modify);
our $VERSION = "1.11";
our %ratemap = qw(1 1 1.5 2 2 3 2.5 4 3 5 3.5 6 4 7 4.5 8 5 9);

sub modify {
    my ($self, $cache) = @_;
    $cache->load_parts({ logs => $self->{'options'}{'logs'} || 0,
			 attributes => $self->{'options'}{'attributes'} || 0,
			 tags => $self->{'options'}{'tags'} || 0,
			 ratings => $self->{'options'}{'ratings'} || 0,
		       });
}

1;

=head1 NAME

Load - Loads cache data

=head1 DESCRIPTION

START HELP

This is only useful when you're going to be doing complex exporting
where you need the caches data loaded early before exporting to
multiple files.  Otherwise geoqo may load all the data once per file.

  > geoqo -s something -m load -e 'gctodiff+file1.gpx;file2.gpx

See the export documentation for details on why file1.gpx and
file2.gpx may contain separate data.

Basically, since this is a confusing one, is if you're doing complex
exporting (multiple files at once) put this on the -m switch to speed
things up.

END HELP

=cut
