# Copyright (C) 2007-2009 Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::Search::Waymark;

use strict;
use GeoDB::Search;
use GeoDB::Utils;
use GeoDB::Waypoint;

our @ISA = qw(GeoDB::Search);

our $VERSION = "1.11";

sub search {
     my ($self, $criteria, $type) = @_;

     GEODEBUG(3, "passing criteria: $criteria\n");
     return
       $self->get_search_tokens( $criteria, $type,
				 get_waypoint_type_cols_and_map('Waymark'),
				 "type == 'Waymark' and");
}


1;

=head1 NAME

Waymark - query the waypoint list for waymark attributes

=head1 DESCRIPTION

START HELP

  > geoqo -s waymark:name=unusual -d count
  Search/Set Count: 6

Searches the database for only waypoints that are of type 'Waymark'
and conform to the terms given.  See the documentation on the
waypoint: search type for further details on how to use it, because
everything else is the same.

Possible search columns for waymarks include the following beyond
those listed in the waypoint section:

      waymark_owner_name

When waymarking.com starts releasing more data in .gpx files, this
will get significantly longer, of course.

END HELP

=head1 AUTHOR

Wes Hardaker (AKA Yamar) <hardaker ATAT users.sourceforge.net> 

=cut

